org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration

## Class SubgraphStrategyProcessTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration.SubgraphStrategyProcessTest

-     public class SubgraphStrategyProcessTest
      extends AbstractGremlinProcessTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubgraphStrategyProcessTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldFilterComplexVertexCriterion()`
    `void` | `shouldFilterEdgeCriterion()`
    `void` | `shouldFilterMixedCriteria()`
    `void` | `shouldFilterMixedCriteriaButNotCheckAdjacentVertices()`
    `void` | `shouldFilterVertexCriterion()`
    `void` | `shouldFilterVertexCriterionAndKeepLabels()`
    `void` | `shouldFilterVertexProperties()`
    `void` | `shouldGenerateCorrectTraversers()`
    `void` | `shouldGetExcludedEdge()`
    `void` | `shouldGetExcludedVertex()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubgraphStrategyProcessTest

          public SubgraphStrategyProcessTest()

  - ### Method Detail

    - #### shouldFilterVertexCriterion

          public void shouldFilterVertexCriterion()
                                           throws Exception

      Throws:
        `Exception`

    - #### shouldFilterEdgeCriterion

          public void shouldFilterEdgeCriterion()
                                         throws Exception

      Throws:
        `Exception`

    - #### shouldFilterComplexVertexCriterion

          public void shouldFilterComplexVertexCriterion()
                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldFilterMixedCriteriaButNotCheckAdjacentVertices

          public void shouldFilterMixedCriteriaButNotCheckAdjacentVertices()

    - #### shouldFilterMixedCriteria

          public void shouldFilterMixedCriteria()
                                         throws Exception

      Throws:
        `Exception`

    - #### shouldFilterVertexCriterionAndKeepLabels

          public void shouldFilterVertexCriterionAndKeepLabels()
                                                        throws Exception

      Throws:
        `Exception`

    - #### shouldGetExcludedVertex

          public void shouldGetExcludedVertex()
                                       throws Exception

      Throws:
        `Exception`

    - #### shouldGetExcludedEdge

          public void shouldGetExcludedEdge()
                                     throws Exception

      Throws:
        `Exception`

    - #### shouldFilterVertexProperties

          public void shouldFilterVertexProperties()
                                            throws Exception

      Throws:
        `Exception`

    - #### shouldGenerateCorrectTraversers

          public void shouldGenerateCorrectTraversers()
                                               throws Exception

      Throws:
        `Exception`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.